- Qt 5.15
- Qt 3D
- C++ Classes
- QShaderData
- Qt 5.15.19 Reference Documentation

# QShaderData Class

class Qt3DRender::QShaderData

Provides a way of specifying values of a Uniform Block or a shader structure. More...

Header: | #include <Qt3DRender/QShaderData>
qmake: | QT += 3drender
Since: | Qt 5.5
Inherits: | Qt3DCore::QComponent

This class was introduced in Qt 5.5.

- List of all members, including inherited members

## Public Functions

PropertyReaderInterfacePtr | propertyReader() const

## Detailed Description

Note: When subclassing and adding properties to QShaderData, note that if you need to nest an inner Qt3DRender::QShaderData, the data type of the property should be Qt3DRender::QShaderData* instead of the name of your subclass.

## Member Function Documentation

### PropertyReaderInterfacePtr QShaderData::propertyReader() const

QShaderData::propertyReader Returns the PropertyReaderInterfacePtr for this shader data